// -*- C++ -*-

// $Id: ConsumesDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $

#include "orbsvcs/IFRService/Repository_i.h"
#include "orbsvcs/IFRService/ConsumesDef_i.h"

ACE_RCSID (IFRService,
           ConsumesDef_i,
           "$Id: ConsumesDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_ConsumesDef_i::TAO_ConsumesDef_i (
    TAO_Repository_i *repo
  )
  : TAO_IRObject_i (repo),
    TAO_Contained_i (repo),
    TAO_EventPortDef_i (repo)
{
}

TAO_ConsumesDef_i::~TAO_ConsumesDef_i (void)
{
}

CORBA::DefinitionKind
TAO_ConsumesDef_i::def_kind (void)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  return CORBA::dk_Consumes;
}

TAO_END_VERSIONED_NAMESPACE_DECL
